Name:                backupninja
Version:             1.2.2
Release:             1
Summary:             Lightweight, extensible backup system
License:             GPLv2
URL:                 https://0xacab.org/liberate/backupninja
Source0:             https://0xacab.org/liberate/backupninja/-/archive/backupninja-%{version}/backupninja-backupninja-%{version}.tar.gz#/backupninja-%{version}.tar.gz 
Patch0:              backupninja-1.2.2-openeuler.patch            
Patch1:              backupninja-1.2.2-duplicity.patch            
Patch2:              backupninja-1.2.2-extbackup.patch
BuildArch:           noarch
BuildRequires:       autoconf  automake  make
Requires:            cronie gawk logrotate rdiff-backup
%description
Backupninja allows you to coordinate system backup by dropping a few simple
configuration files into /etc/backup.d/. Most programs you might use for making
backups don't have their own configuration file format. Backupninja provides
a centralized way to configure and schedule many different backup utilities.
It allows for secure, remote, incremental file system backup (via rdiff-backup),
compressed incremental data, backup system and hardware info, encrypted remote
backups (via duplicity), safe backup of MySQL/PostgreSQL databases, subversion
or trac repositories, burn CD/DVDs or create ISOs, incremental rsync with
hard-linking.

%prep
%setup -q -n backupninja-backupninja-%{version}
%patch0 -p1 -b .openeuler
%patch1 -p1 -b .dupver
%patch2 -p1 -b .extbck

%build
./autogen.sh
%configure --libdir=%{_libexecdir}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mkdir -p -m 0750 %{buildroot}/%{_sysconfdir}/backup.d

%files
%{_sbindir}/backupninja
%{_sbindir}/ninjahelper
%{_libexecdir}/backupninja
%doc AUTHORS CHANGELOG.md FAQ.md README.md TODO
%license COPYING
%config(noreplace) %{_sysconfdir}/backupninja.conf
%config(noreplace) %{_sysconfdir}/cron.d/backupninja
%config(noreplace) %{_sysconfdir}/logrotate.d/backupninja
%dir %attr(0750,root,root )%{_sysconfdir}/backup.d
%{_datadir}/backupninja
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%changelog
* Wed Apr 12 2023 liyanan <thistleslyn@163.com> - 1.2.2-1
- Update to 1.2.2

* Tue Sep 7 2021 zhengyaohui <zhengyaohui1@huawei.com> - 1.1.0-1
- package init
